POST
/v1/orders/{order_id}/returns/{return_id}/declinePOST /v1/orders/{order_id}/returns/{return_id}/decline
Scopes: orders:returns:write
Requires scope: orders:returns:write.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
order_id | path | integer<int32> | yes | |
return_id | path | integer<int32> | yes |
Response (200)
| Field | Type | Required | Description |
|---|---|---|---|
orderId | integer<int32> | no | |
returnId | integer<int32> | no | |
action | string | no | |
result | object | no |
Examples
import { SolidCommerceClient } from '@solidcommerce/sdk';
const client = new SolidCommerceClient({
apiKey: process.env.SOLIDCOMMERCE_API_KEY!,
});
const { data, error } = await client.raw.POST('/v1/orders/{order_id}/returns/{return_id}/decline', {
// params: { path: { id: '...' }, query: { limit: 25 } },
// body: { /* request body */ },
});
if (error) throw error;
console.log(data);